package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description  
 * @Date 2021-07-05 
 */
@ApiModel
public class Supervise4CargoChange extends IsSuperviseDTO implements Serializable {
	
	private static final long serialVersionUID =  2291818160143936391L;

	/**
	 * 源单ID
	 */
	@ApiModelProperty("源单编号")
	private String refBillNo;

    /**
     * 目标商品名称
     */
    @ApiModelProperty("目标商品名称")
    private String destItemName;

    /**
     * 源货主ID
     */
    @ApiModelProperty("源货主ID")
    private String srcCargoOwnerId;
	/**
	 * 源货主名称
	 */
	@ApiModelProperty("源货主名称")
	private String srcCargoOwnerName;

	/**
	 * 目标货主ID
	 */
	private String destCargoOwnerId;

	/**
	 * 目标货主名称
	 */
	@ApiModelProperty("目标货主名称")
	private String destCargoOwnerName;


    /**
     * 采购单ID
     */
    private String poBillId;

    /**
     * 销售单ID
     */
    private String orderBillId;

	/**
	 * 目的货位ID
	 */
	private String destLocatorId;

    /**
     * 货位
     */
    @ApiModelProperty("货位")
    private String destLocatorName;

    /**
     * 件数
     */
    @ApiModelProperty("件数")
    private Integer totalCount;

    /**
     * 源商品ID
     */
    @ApiModelProperty("源商品ID")
    private String srcItemId;

    /**
     * 目标商品ID
     */
    @ApiModelProperty("目标商品ID")
    private String destItemId;
    
    /**
     * 已扫码数量
     */
    @ApiModelProperty("已扫码数量")
    private Integer scanCount;

    @ApiModelProperty("明细id")
    private String resultId;

    @ApiModelProperty(value = "批号")
    private String manufacturerLotNum;
    
    @ApiModelProperty(value = "生产日期")
    private String showProductionDate;

    @ApiModelProperty(value = "有效期至日期")
    private String showExpiredDate;
    /**
     * 转换数量
     */
    private BigDecimal quantity;

    public String getManufacturerLotNum() {
        return manufacturerLotNum;
    }

    public void setManufacturerLotNum(String manufacturerLotNum) {
        this.manufacturerLotNum = manufacturerLotNum;
    }

    public String getShowProductionDate() {
        return showProductionDate;
    }

    public void setShowProductionDate(String showProductionDate) {
        this.showProductionDate = showProductionDate;
    }

    public String getShowExpiredDate() {
        return showExpiredDate;
    }

    public void setShowExpiredDate(String showExpiredDate) {
        this.showExpiredDate = showExpiredDate;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRefBillNo() {
        return refBillNo;
    }

    public void setRefBillNo(String refBillNo) {
        this.refBillNo = refBillNo;
    }

    public String getDestItemName() {
        return destItemName;
    }

    public void setDestItemName(String destItemName) {
        this.destItemName = destItemName;
    }

    public String getSrcCargoOwnerName() {
        return srcCargoOwnerName;
    }

    public void setSrcCargoOwnerName(String srcCargoOwnerName) {
        this.srcCargoOwnerName = srcCargoOwnerName;
    }

    public String getDestCargoOwnerName() {
        return destCargoOwnerName;
    }

    public void setDestCargoOwnerName(String destCargoOwnerName) {
        this.destCargoOwnerName = destCargoOwnerName;
    }

    public String getDestLocatorId() {
        return destLocatorId;
    }

    public void setDestLocatorId(String destLocatorId) {
        this.destLocatorId = destLocatorId;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public String getResultId() {
        return resultId;
    }

    public void setResultId(String resultId) {
        this.resultId = resultId;
    }

    public String getSrcCargoOwnerId() {
        return srcCargoOwnerId;
    }

    public void setSrcCargoOwnerId(String srcCargoOwnerId) {
        this.srcCargoOwnerId = srcCargoOwnerId;
    }

    public String getDestCargoOwnerId() {
        return destCargoOwnerId;
    }

    public void setDestCargoOwnerId(String destCargoOwnerId) {
        this.destCargoOwnerId = destCargoOwnerId;
    }

    public String getSrcItemId() {
        return srcItemId;
    }

    public void setSrcItemId(String srcItemId) {
        this.srcItemId = srcItemId;
    }

    public String getDestItemId() {
        return destItemId;
    }

    public void setDestItemId(String destItemId) {
        this.destItemId = destItemId;
    }

    public String getPoBillId() {
        return poBillId;
    }

    public void setPoBillId(String poBillId) {
        this.poBillId = poBillId;
    }

    public String getOrderBillId() {
        return orderBillId;
    }

    public void setOrderBillId(String orderBillId) {
        this.orderBillId = orderBillId;
    }

    public BigDecimal getQuantity() {
        return quantity;
    }

    public void setQuantity(BigDecimal quantity) {
        this.quantity = quantity;
    }

    public String getDestLocatorName() {
        return destLocatorName;
    }

    public void setDestLocatorName(String destLocatorName) {
        this.destLocatorName = destLocatorName;
    }
}
